QUVI-INFO(1)

NAME
quvi-info - The daft information tool

SYNOPSIS

quvi info [OPTIONS]

DESCRIPTION

This command shows information about the quvi suite.

DEFAULT BEHAVIOUR

The command will print information about the installed libquvi media scripts.

OPTIONS

-E, --print-subtitle-export-formats
    Print the available export formats for the media subtitles. The current selection is provided by libquvi-scripts(7).

-D, --print-media-domains
    Print the supported media domains. The current selection is provided by libquvi-scripts(7).

-V, --print-config-values
    Print the value of all configuration options.

-P, --print-config-paths
    Print the quvirc(5) search paths. See also quvirc(5) for notes.

-p, --script-property PROPERTY
    Print the specified script property. PROPERTY may be one of the following values:

        •

        export.format - subtitle export scripts only

        •

        filepath - all scripts

        •

        filename - all scripts

        •

        domains - {playlist,subtitle,media} scripts

        •

        sha1 - all scripts

    Note

    This option may be specified multiple times

-t, --script-type TYPE
    Select the script type. TYPE may be one of the following values:

        •

        subtitle.export - media subtitle export scripts

        •

        subtitle - media subtitle extraction scripts

        •

        playlist - media playlist scripts

        •

        media - media scripts

        •

        scan - embedded media URL scan scripts

SUPPORT

The support for the media hosts is determined by the current selection of libquvi-scripts(7).

CONFIGURATION

See quvirc(5) for more information about the groups and the variables that quvi parses.

EXAMPLES

    • Print the supported media domains:

        $ quvi info -D

    • Print information about playlist scripts:

        $ quvi info -t playlist -p domains -p sha1

ENVIRONMENT

See quvi(1)

EXIT STATUS

Either EXIT_SUCCESS or EXIT_FAILURE. The actual value depends on the platform, on POSIX systems they are 0 (success) and 1 (failure).

SEE ALSO

quvirc(5), libquvi(3)

FURTHER RESOURCES

Home

    http://quvi.sourceforge.net/

Development code

    git://repo.or.cz/quvi-tool.git

gitweb

    http://repo.or.cz/w/quvi-tool.git

AUTHORS

Toni Gundogdu <legatvs@gmail.com>
    Author.

REPORTING BUGS

Report bugs to the quvi-devel mailing list <quvi-devel@lists.sourceforge.net> where the development and the maintenance is primarily done. You do not have to be subscribed to the list to send a message there.

LICENSE

quvi is Free Software licensed under the GNU Affero GPLv3+

QUVI

Part of the quvi(1) suite